Package: org.grails.databinding.bindingsource

## [Groovy] Interface DataBindingSourceCreator

- grails.web.mime.MimeTypeProvider

- All Superinterfaces:
    MimeTypeProvider

  A factory for DataBindingSource instances

  See Also:
    DataBindingSource
  Since:
    2.3

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `CollectionDataBindingSource` | `createCollectionDataBindingSource(MimeType mimeType, java.lang.Class bindingTargetType, java.lang.Object bindingSource)` Creates a CollectionDataBindingSource suitable for binding bindingSource to bindingTarget
    `` | `DataBindingSource` | `createDataBindingSource(MimeType mimeType, java.lang.Class bindingTargetType, java.lang.Object bindingSource)` Creates a DataBindingSource suitable for binding bindingSource to bindingTarget
    `` | `java.lang.Class` | `getTargetType()` @return The target type of this creator

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface MimeTypeProvider` | `getMimeTypes`

- - ### Method Detail

    - #### CollectionDataBindingSource createCollectionDataBindingSource(MimeType mimeType, java.lang.Class bindingTargetType, java.lang.Object bindingSource)

      Creates a CollectionDataBindingSource suitable for binding bindingSource to bindingTarget

      throws:
        DataBindingSourceCreationException if an unrecoverable error occurs creating the binding source
      Parameters:
        `mimeType` - a mime type
        `bindingTarget` - the type of the target of the data binding
        `bindingSource` - the value being bound
      Returns:
        a CollectionDataBindingSource

    - #### DataBindingSource createDataBindingSource(MimeType mimeType, java.lang.Class bindingTargetType, java.lang.Object bindingSource)

      Creates a DataBindingSource suitable for binding bindingSource to bindingTarget

      throws:
        DataBindingSourceCreationException if an unrecoverable error occurs creating the binding source
      Parameters:
        `mimeType` - a mime type
        `bindingTarget` - the type of the target of the data binding
        `bindingSource` - the value being bound
      Returns:
        a DataBindingSource

    - #### java.lang.Class getTargetType()

      Returns:
        The target type of this creator